:root {
  --bg: #fdfdfc;
  --bg: #000000;
  --text: #1b1b18;
  --text: #ffffff;
  --muted: #6f6f69;
  --card-bg: #f3f3f3;
  --card-top: #fbfbfb;
  --border: #e6e6e6;
  --green: #15803d;
  --shadow-soft: 0 1px 2px rgba(0, 0, 0, 0.04);
  --shadow-hover: 0 6px 6px rgba(0, 0, 0, 0.08);
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
}

body {
  min-height: 100vh;
  font-family: 'Inter', ui-sans-serif, system-ui, sans-serif;
  color: var(--text);
  background: var(--bg);
  line-height: 1.5;
}

h1,
h2,
h3,
p {
  margin: 0;
}

h1 {
  font-size: 1.125rem;
  font-weight: 600;
  line-height: 1.75rem;
}

h2 {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 600;
}

h3 {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 400;
}

p {
  font-size: 0.875rem;
  line-height: 1.5rem;
  font-weight: 300;
}

a {
  color: inherit;
  text-decoration-line: underline;
  text-decoration-color: #818181;
  text-decoration-thickness: 1px;
  text-underline-offset: 4px;
  transition: opacity 0.1s ease-out;
}

a:hover {
  opacity: 0.7;
}

.page {
  min-height: 100vh;
}

.content {
  width: 100%;
  max-width: 500px;
  margin: 0 auto;
  padding: 5rem 1.25rem;
  display: flex;
  flex-direction: column;
  gap: 2.5rem;
}

.intro {
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
}

.experience {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.role {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
}

.role-head {
  display: flex;
  gap: 0.5rem;
  align-items: flex-start;
  justify-content: space-between;
}

.role-meta {
  display: flex;
  gap: 0.5rem;
  align-items: flex-start;
  justify-content: space-between;
  margin-bottom: -0.25rem;
}

.location,
.year {
  opacity: 0.5;
  white-space: nowrap;
}

.job-title {
  opacity: 1;
  margin-right: auto;
}

.year {
  text-align: right;
}

.desc {
  opacity: 0.5;
  /* line-height: 1.25; */
}

.contact {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.contact-links {
  display: flex;
  flex-wrap: wrap;
  column-gap: 1rem;
  row-gap: 0.25rem;
}

.contact-links a {
  display: inline-flex;
  align-items: center;
  gap: 0.3rem;
  width: fit-content;
}
